View Issue Details

IDProjectCategoryView StatusLast Update
0002469SymmetricDSBugpublic2016-04-28 10:01
ReportermmichalekAssigned Tommichalek 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version3.7.28 
Target Version3.7.29Fixed in Version3.7.29 
Summary0002469: routing.largest.gap.size is limited to an integer sized value, but should be a long.
DescriptionIf routing.largest.gap.size is set to a number outside the Java int range, it can't be parsed. This should be treated as a long value.

This results in:
java.lang.NumberFormatException: For input string: "99999999999999"
at java.lang.NumberFormatException.forInputString(NumberFormatException.java:65)
at java.lang.Integer.parseInt(Integer.java:583)
at java.lang.Integer.parseInt(Integer.java:615)
at org.jumpmind.symmetric.service.impl.AbstractParameterService.getInt(AbstractParameterService.java:97)
at org.jumpmind.symmetric.service.impl.AbstractParameterService.getInt(AbstractParameterService.java:91)
at org.jumpmind.symmetric.service.impl.DataService.findDataGaps(DataService.java:1387)
at org.jumpmind.symmetric.route.DataGapDetector.beforeRouting(DataGapDetector.java:91)
at org.jumpmind.symmetric.service.impl.RouterService.routeData(RouterService.java:177)
at org.jumpmind.symmetric.job.RouterJob.doJob(RouterJob.java:40)
at org.jumpmind.symmetric.job.AbstractJob.invoke(AbstractJob.java:180)
at org.jumpmind.symmetric.job.AbstractJob.run(AbstractJob.java:224)
at org.springframework.scheduling.support.DelegatingErrorHandlingRunnable.run(DelegatingErrorHandlingRunnable.java:54)
at java.util.concurrent.Executors$RunnableAdapter.call(Executors.java:511)
at java.util.concurrent.FutureTask.runAndReset(FutureTask.java:308)
at java.util.concurrent.ScheduledThreadPoolExecutor$ScheduledFutureTask.access$301(ScheduledThreadPoolExecutor.java:180)
at java.util.concurrent.ScheduledThreadPoolExecutor$ScheduledFutureTask.run(ScheduledThreadPoolExecutor.java:294)
at java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1142)
at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:617)
at java.lang.Thread.run(Thread.java:745)
TagsNo tags attached.

Activities

There are no notes attached to this issue.

Related Changesets

SymmetricDS: 3.7 6637765c

2015-12-17 11:24:43

mmichalek

Details Diff
0002469: routing.largest.gap.size is limited to an integer sized value,
but should be a long.

0002469
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/route/DataGapDetector.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/DataService.java Diff File

SymmetricDS: 3.8 4c339c9f

2015-12-17 11:24:43

mmichalek

Details Diff
0002469: routing.largest.gap.size is limited to an integer sized value,
but should be a long.

0002469
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/route/DataGapDetector.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/DataService.java Diff File

Issue History

Date Modified Username Field Change
2015-12-17 11:24 mmichalek New Issue
2015-12-17 11:24 mmichalek Status new => assigned
2015-12-17 11:24 mmichalek Assigned To => mmichalek
2015-12-17 11:27 mmichalek Status assigned => resolved
2015-12-17 11:27 mmichalek Resolution open => fixed
2015-12-17 11:27 mmichalek Fixed in Version => 3.7.29
2015-12-17 11:27 mmichalek Target Version => 3.7.29
2015-12-17 12:00 mmichalek Changeset attached => SymmetricDS 3.7 6637765c
2016-01-03 16:44 chenson Status resolved => closed
2016-04-28 10:01 mmichalek Changeset attached => SymmetricDS 3.8 4c339c9f